Press "Enter" to skip to content

解决kloxo安装zencart权限不足问题

0

Linux系统(CentOS)是纯命令行操作的,新站长用起来很麻烦,安装kloxo后会方便很多。用kloxo开设的站点安装zendcart默认的权限不足,可以通过suphp来解决。suphp是以属主的身份运行PHP,可以在不赋予777的权限下安装、运行程序(如dedecms,zencart等)。

设置subphp

进入kloxo选择 网页&邮件&数据库——网页服务器配置,选择suphp,然后update

201201141056365447

 

设置后会发现本来可以访问的站点现在提示500错误了。

解决办法,将apache切换成lighttpd

进入 服务器-切换程序,将appache修改成lighttpd,update

201201141059466780

 

执行后等待1-2分钟等待lighttpd启动完成,测试站点就可以打开了。然后再回去切换成apache,测试即可解决错误500问题。

发表评论